# Copyright 2021 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

AUTHOR = "rsorokin"
NAME = "login_LoginPin"
ATTRIBUTES = "suite:bvt-perbuild"
TIME = "SHORT"
TEST_CATEGORY = "General"
TEST_CLASS = "login"
TEST_TYPE = "client"
PY_VERSION = 3

DOC = """
This test consists of two parts:
 * Login as a new user and setup a pin for the user
 * Login as an exising user with the pin
By default both parts are executed consequentially. To skip any part one could
use `setup_pin` and `login_pin` boolean parameters.
"""

job.run_test('login_LoginPin')
